pappso::AtomNumberInterface Class Referenceabstract

`#include <atomnumberinterface.h>`

Inheritance diagram for pappso::AtomNumberInterface:

## Public Member Functions

virtual int | getNumberOfAtom (AtomIsotopeSurvey atom) const =0
| get the number of atom C, O, N, H in the molecule More...
virtual int | getNumberOfIsotope (Isotope isotope) const =0
| get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule More...

## Detailed Description

Definition at line 30 of file atomnumberinterface.h.

## Member Function Documentation

## getNumberOfAtom()

virtual int pappso::AtomNumberInterface::getNumberOfAtom | ( | AtomIsotopeSurvey | atom | ) | const

pure virtual

get the number of atom C, O, N, H in the molecule

Implemented in pappso::AaModification, pappso::Aa, pappso::PeptideNaturalIsotope, pappso::PeptideFragmentIon, pappso::PeptideFragment, pappso::Peptide, and pappso::AaBase.

Referenced by pappso::PeptideInterface::getFormula().

## getNumberOfIsotope()

virtual int pappso::AtomNumberInterface::getNumberOfIsotope | ( | Isotope | isotope | ) | const

pure virtual

get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule

Implemented in pappso::AaModification, pappso::Aa, pappso::PeptideNaturalIsotope, pappso::PeptideFragmentIon, pappso::PeptideFragment, pappso::Peptide, and pappso::AaBase.

Referenced by pappso::PeptideInterface::getFormula().

The documentation for this class was generated from the following file:

- pappsomspp/amino_acid/atomnumberinterface.h